Skip to main content
ApiComments

List comments on a post

Fetch comments (and first-level replies) on a post from a connected Facebook Page, Instagram Business account, or Threads account. Requires the account to have the relevant Meta permissions approved (pages_read_user_content for Facebook, instagram_business_manage_comments for Instagram, threads_manage_replies for Threads).

GET/v1/comments/

Authorization

accessKey
x-access-key<token>

In: header

Query Parameters

platform*string

Platform to fetch comments from.

Value in"facebook" | "instagram" | "threads"
accountId*string

Integration ID of the connected account.

postId*string

Platform post ID to fetch comments for.

limit?integer

Max comments to return.

Default25
Range1 <= value <= 100
after?string

Pagination cursor from a previous response.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/comments/?platform=facebook&accountId=string&postId=string"
{
  "success": true,
  "comments": [
    {
      "id": "string",
      "text": "string",
      "author": {
        "id": "string",
        "name": "string"
      },
      "timestamp": "2019-08-24T14:15:22Z",
      "likeCount": 0,
      "hidden": true,
      "replies": [
        {
          "id": "string",
          "text": "string",
          "author": {
            "id": "string",
            "name": "string"
          },
          "timestamp": "string",
          "likeCount": 0
        }
      ]
    }
  ],
  "nextCursor": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}